<?
define('PROTECTOR', 1);

$head = 'mod_panel';//фикс. места

$textl='Модер-панель';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

if($udata[prava]<2){
echo'Доступ закрыт!';
@include('files/down.php');
exit;
}

switch($_GET[mod]){

default:
echo"<div class='menuList'>";
echo"<li><a href=\"mod_panel.php?mod=24\">Поиск по ip</a></li>";
echo"<li><a href=\"mod_panel.php?mod=1\">Наложить бан</a></li>";
echo"<li><a href=\"mod_panel.php?mod=2\">Список забаненых</a></li></div>";
break;

case '1':
if(empty($_POST[nick])){
echo '<form action="mod_panel.php?mod=1" method="post">';
echo"Логин:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$_GET[usr]\" name=\"nick\"/><br/>";

echo"Причина бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"text\"/><br/>";

echo"Время бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo "Тип времени:<br/>
<select name=\"times\">
<option value=\"sec\">Секунд</option>
<option value=\"min\">Минут</option>
<option value=\"cha\">Часов</option>
<option value=\"sut\">Суток</option>
</select><br/>";

echo '<input class="button" type="submit" value="Забанить" /></form>';
}else{
$req = mysql_query("SELECT * FROM `users` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Нет такого игрока!";include('files/down.php');exit;}

$req = mysql_query("SELECT * FROM `ban` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==1){echo"Игрок уже в бане!";@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `users` where `usr`='$_POST[nick]'");
$usdata=mysql_fetch_array($req);
if($usdata[prava]>=2){echo"Вы не имеете права забанить этого игрока!";@include('files/down.php');exit;}

if($_POST[times]==sec){$_POST[time]=$_POST[time];}
if($_POST[times]==min){$_POST[time]=$_POST[time]*60;}
if($_POST[times]==cha){$_POST[time]=$_POST[time]*3600;}
if($_POST[times]==sut){$_POST[time]=$_POST[time]*3600*24;}
$time_ban=time()+$_POST[time];

mysql_query("INSERT INTO
        `ban` SET
        `usr` = '$_POST[nick]',
        `admin` = '$log',
        `text` = '$_POST[text]',
        `ban_time` = '$time_ban'");

echo'Игрок '.$_POST[nick].' забанен!<br/>';
}
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;

case '2':
$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time'");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b><a href=\"search.php?nick=$mag[usr]&amp;go=go\">$mag[usr]</a></b> [<a href=\"zona.php?mod=1&amp;id=$mag[id]\">инфо.</a>] [<a href=\"mod_panel.php?mod=3&amp;id=$mag[id]\">снять бан</a>]
[<a href=\"mod_panel.php?mod=10&usr=$mag[usr]\">блок</a>]
<br/>";}}else{
echo"<b>Нет забаненых!</b><br/>";}
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;

case '3':
if(empty($_GET[id])){
echo"Ошибка невыбран игрок!";
include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `ban` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include('files/down.php');exit;}
mysql_query("DELETE FROM `ban` WHERE `id`='$_GET[id]'");
echo'Бан снят!<br/>';
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;

case '24':
if(empty($_POST[ip])){
echo "<form action='mod_panel.php?mod=24' method='POST'>";
echo"Введите ip:<br/>
<input class='input' type=\"text\" value=\"$_GET[ip]\" size=\"20\" name=\"ip\"/><br/>";
echo '<input class="button" type="submit" value="Найти" /></form>';
}else{
if(!empty($_GET[ip])){$_POST[ip] = htmlspecialchars(stripslashes(addslashes($_GET['ip'])));}
$req = mysql_query("SELECT * FROM `users` WHERE `ip`='$_POST[ip]'");
$avto=mysql_num_rows($req);
$i=1;
if($avto>=1){echo"<b>$_POST[ip]</b></br>(Всего аккаунтов с таким ip <b>$avto</b>)</br>";
While($item = mysql_fetch_array($req))
{
echo"$i. <a href=\"search.php?nick=$item[usr]&amp;go=go\">$item[usr]</a>";
echo" [<a href=\"mod_panel.php?mod=1&usr=$item[usr]\">забанить.</a>]</br>";$i++;}
echo"<a href=\"mod_panel.php?\">Назад</a>";}}
break;


case '8':
echo"<div class='menuList'>";
echo"<li><a href=\"mod_panel.php?mod=9&log=out&nick=$_GET[usr]\">Логи передачи</a></li>";
echo"<li><a href=\"mod_panel.php?mod=9&log=up&nick=$_GET[usr]\">Логи получения</a></li>";
break;

case '9':
if(empty($_GET[nick])){
echo"Ошибка невыбран игрок!";
include('files/down.php');exit;}
$nick = htmlspecialchars(addslashes(stripslashes($_GET['nick'])));
if($_GET[log]=="out"){$tabl="userout";}
if($_GET[log]=="up"){$tabl="userup";}
$req = mysql_query("SELECT * FROM `logi` where `$tabl`='$nick' LIMIT 20");
$avto=mysql_num_rows($req);
if($avto==0){echo" Нет переводов !<br>";
echo"<a href=\"mod_panel.php?mod=8&usr=$nick\">« Назад</a>";
include('files/down.php');exit;}
else{
While($loger = mysql_fetch_array($req))
{
if($_GET[log]=="out"){
echo"$loger[text] игроку $loger[userup] <b>Время:</b> $loger[time]<br>$div";}
if($_GET[log]=="up"){echo"$loger[text] от игрока $loger[userout] <b>Время:</b> $loger[time]<br>$div";}
}
echo"<a href=\"mod_panel.php?mod=8&usr=$nick\">« Назад</a>";
}
break;

case '10':
if(empty($_POST[nick])){
echo '<form action="mod_panel.php?mod=10" method="post">';
echo"Логин:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$_GET[usr]\" name=\"nick\"/><br/>
</select><br/>";
echo '<input class="button" type="submit" value="Заблокировать" /></form>';}else{
$req = mysql_query("SELECT * FROM `users` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Нет такого игрока!";
include('files/down.php');exit;}

mysql_query("UPDATE `ban` SET `block` = '1' WHERE `usr` = '$_POST[nick]'");
echo'Игрок '.$_POST[nick].' заблокирован!<br/>';
}
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;

}
include"files/down.php";
?>